ModelType (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.models, enum: ModelType

# Enum Class ModelType

java.lang.Object
java.lang.Enum<ModelType>
opennlp.tools.models.ModelType

All Implemented Interfaces:
  `Serializable, Comparable<ModelType>, Constable`

public enum ModelType extends Enum<ModelType>
A model type to pattern enumeration.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHUNKER`
  `LEMMATIZER`
  `NAME_FINDER`
  `PARSER`
  `POS`
  `POS_GENERIC`
  `SENTENCE_DETECTOR`
  `TOKENIZER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `static ModelType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ModelType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEMMATIZER

    public static final ModelType LEMMATIZER

  - ### TOKENIZER

    public static final ModelType TOKENIZER

  - ### SENTENCE_DETECTOR

    public static final ModelType SENTENCE_DETECTOR

  - ### POS

    public static final ModelType POS

  - ### POS_GENERIC

    public static final ModelType POS_GENERIC

  - ### NAME_FINDER

    public static final ModelType NAME_FINDER

  - ### CHUNKER

    public static final ModelType CHUNKER

  - ### PARSER

    public static final ModelType PARSER

- ## Method Details

  - ### values

    public static ModelType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ModelType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()